Rudiments: regularexpression Class Reference

Rudiments

- Main Page
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
regularexpression Class Reference

## Public Member Functions
| regularexpression ()
| regularexpression (const char *pattern)
| ~regularexpression ()
bool | compile (const char *pattern)
bool | study ()
bool | match (const char *str)
int32_t | getSubstringCount ()
const char * | getSubstringStart (int32_t index)
const char * | getSubstringEnd (int32_t index)
int32_t | getSubstringStartOffset (int32_t index)
int32_t | getSubstringEndOffset (int32_t index)

## Static Public Member Functions
static bool | match (const char *str, const char *pattern)

## Detailed Description

The regularexpression class provides methods for making comparisons between text and regular expressions.

Regular expressions are complex, powerful, used in command line programs like grep, sed and find, and extensively in Perl.

## Constructor & Destructor Documentation

regularexpression::regularexpression | ( |  | ) |

Creates an instance of the regularexpression class.

regularexpression::regularexpression | ( | const char * | pattern | ) |

Creates an instance of the regularexpression class and compiles the regular expression given in "pattern".

regularexpression::~regularexpression | ( |  | ) |

Deletes this instance of the regular expression class.

## Member Function Documentation

bool regularexpression::compile | ( | const char * | pattern | ) |

Compiles the regular expression given in "pattern".

Returns true if the compilation succeeded and false if it failed.

int32_t regularexpression::getSubstringCount | ( |  | ) |

Returns the number of substrings of "str" passed into match() that match "pattern" passed into compile().

const char* regularexpression::getSubstringEnd | ( | int32_t | index | ) |

Returns the data directly after the "index"'th matching substring or NULL if index is invalid.

int32_t regularexpression::getSubstringEndOffset | ( | int32_t | index | ) |

Returns the offset of the data directly after the "index"'th matching substring or -1 if index is invalid.

const char* regularexpression::getSubstringStart | ( | int32_t | index | ) |

Returns the "index"'th matching substring or NULL if index is invalid.

int32_t regularexpression::getSubstringStartOffset | ( | int32_t | index | ) |

Returns the offset of the "index"'th matching substring or -1 if index is invalid.

static bool regularexpression::match | ( | const char * | str,
|  | const char * | pattern
| ) |  |
| static

Returns true if "str" matches "pattern" and false if "str" doesn't match "pattern".

bool regularexpression::match | ( | const char * | str | ) |

Matches "str" against the regular expression compiled earlier using the compile method.

Returns true if the match was successful and false if it was not.

bool regularexpression::study | ( |  | ) |

Studies the previously compiled pattern so it can be executed faster. If you plan on calling match() several times on this pattern, studying it may be worthwhile. If not, the studying the pattern may take longer than the time saved by studying it.

Returns true if the study succeeded and false if if failed.